### Hierarchy

- TaskDefaults

## Index

### Properties

- attribute
- baseline
- borderRadius
- downtime
- height
- labelPosition
- overlap
- overtime
- progress
- resizable
- svgClassName
- svgStyle
- type

## Properties

### attribute

attribute: TaskDefaultsAttribute

Specifies default styling for task attribute elements.

### baseline

baseline: TaskDefaultsBaseline

Specifies default styling for task baseline elements.

### borderRadius

borderRadius: string

The border radius of the task. Accepts valid CSS border-radius attribute values.

### downtime

downtime: TaskDefaultsDowntime

Specifies default styling for task downtime elements.

### height

height: number

The height of the task in pixels. See the Help documentation for more information.

### labelPosition

labelPosition: string | string[]

The position of the label relative to the task, or a priority order of label positions for the component to automatically choose from.

### overlap

overlap: TaskDefaultsOverlap

Configures the placement of chronologically overlapping tasks.

### overtime

overtime: TaskDefaultsOvertime

Specifies default styling for task overtime elements.

### progress

progress: TaskDefaultsProgress

Specifies default styling for progress bars on non-milestone tasks.

### resizable

resizable: string

Enable or disable resizing of the non-baseline portions of selected tasks.

### svgClassName

svgClassName: string

A space delimited list of CSS style classes defining the style of the task.

### svgStyle

svgStyle: object

The CSS style defining the style of the task.

### type

type: string

The type of task to be rendered.

Generated using TypeDoc